> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get HSN Details

> With this API, you can pass the HSN/SAC code and get information for goods and services.

#### Response schema

For successful responses, this reference describes the NIC E-Way Bill payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/get_hsn_details.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/tax-payer/hsn
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/tax-payer/hsn:
    get:
      tags:
        - E-Way Bill1
        - Common
      summary: Get HSN Details
      operationId: getHsnDetails
      parameters:
        - name: hsn_code
          in: query
          description: HSN/SAC code
          required: true
          schema:
            type: string
            example: '997212'
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: 200 HSN details fetched / 216 Invalid HSN Code
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEWayBillHsnDetailsResponse'
              examples:
                200 HSN details fetched:
                  summary: 200 HSN details fetched
                  value:
                    code: 200
                    data:
                      data:
                        hsnCode: '1001'
                        hsnDesc: 'WHEAT AND MESLIN - Durum wheat :'
                    timestamp: 1763446641000
                    transaction_id: 80a2b38f-7b5f-415e-afc1-8795d7049a68
                216 Invalid HSN Code:
                  summary: 216 Invalid HSN Code
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '216'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: c057da1e-b118-4d1f-956c-4852bc4f0e03
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetEWayBillHsnDetailsResponse:
      oneOf:
        - $ref: '#/components/schemas/GetEWayBillHsnDetailsSuccessResponse'
        - $ref: '#/components/schemas/EWayBillBusinessErrorResponse'
      description: >-
        An E-Way Bill success or NIC business-failure response. Both variants
        use HTTP 200.
    GetEWayBillHsnDetailsSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              properties:
                data:
                  $ref: '#/components/schemas/GetEWayBillHsnDetailsSuccessPayload'
                error:
                  type: object
                  properties:
                    errorCodes:
                      type: string
                      example: '216'
                info:
                  type: string
                  example: ''
                status:
                  type: string
                  example: '0'
                  enum:
                    - '1'
                  description: NIC success status.
    EWayBillBusinessErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EWayBillResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              required:
                - status
                - error
              properties:
                status:
                  type: string
                  enum:
                    - '0'
                  description: NIC business-failure status.
                error:
                  $ref: '#/components/schemas/EWayBillBusinessError'
    EWayBillResponseMetadata:
      type: object
      description: Metadata returned with every E-Way Bill response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          enum:
            - 200
          description: NIC response code.
        timestamp:
          type: integer
          format: int64
          description: Unix timestamp.
        transaction_id:
          type: string
          description: Request transaction identifier.
    GetEWayBillHsnDetailsSuccessPayload:
      type: object
      properties:
        hsnCode:
          type: string
          example: '1001'
          description: The hsnCode value.
        hsnDesc:
          type: string
          example: 'WHEAT AND MESLIN - Durum wheat :'
          description: The hsnDesc value.
      description: E-Way Bill schema.
    EWayBillBusinessError:
      type: object
      description: NIC business-error details.
      required:
        - errorCodes
      properties:
        errorCodes:
          type: string
          description: NIC error code.

````